LlvmScannerInfoCollector
Date: 2011-05-02

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.cdt.managedbuilder.llvm.scannerconfig
Class LlvmScannerInfoCollector

    java.lang.Object
      org.eclipse.cdt.make.internal.core.scannerconfig2.PerProjectSICollector
          org.eclipse.cdt.managedbuilder.llvm.scannerconfig.LlvmScannerInfoCollector

All Implemented Interfaces:
  org.eclipse.cdt.make.core.scannerconfig.IScannerInfoCollector, org.eclipse.cdt.make.core.scannerconfig.IScannerInfoCollector2, org.eclipse.cdt.make.core.scannerconfig.IScannerInfoCollector3, org.eclipse.cdt.make.core.scannerconfig.IScannerInfoCollectorCleaner, org.eclipse.cdt.managedbuilder.scannerconfig.IManagedScannerInfoCollector

    public class LlvmScannerInfoCollector

extends org.eclipse.cdt.make.internal.core.scannerconfig2.PerProjectSICollector
implements org.eclipse.cdt.managedbuilder.scannerconfig.IManagedScannerInfoCollector

Implementation class for gathering the built-in compiler settings for Clang/LLVM targets. The assumption is that the tools will answer path information in POSIX format and that the Scanner will be able to search for files using this format.

Field Summary

Fields inherited from class org.eclipse.cdt.make.internal.core.scannerconfig2.PerProjectSICollector
`COLLECTOR_ID`

Constructor Summary
`LlvmScannerInfoCollector()`

Method Summary

Methods inherited from class org.eclipse.cdt.make.internal.core.scannerconfig2.PerProjectSICollector
`calculateCompilerBuiltins, contributeToScannerConfig, contributeToScannerConfig, createPathInfoObject, deleteAll, deleteAllPaths, deleteAllSymbols, deletePath, deleteSymbol, deserialize, getCollectedScannerInfo, getContext, getDefinedSymbols, getIncludePaths, serialize, setInfoContext, setProject, updateScannerConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.cdt.managedbuilder.scannerconfig.IManagedScannerInfoCollector
`getDefinedSymbols, getIncludePaths, setProject`

Methods inherited from interface org.eclipse.cdt.make.core.scannerconfig.IScannerInfoCollector
`contributeToScannerConfig, getCollectedScannerInfo`

Constructor Detail

### LlvmScannerInfoCollector

    public LlvmScannerInfoCollector()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD